Skip to content

Send Email Verification Code API

This document describes how to call the send email verification code API. Before calling the email verification code API, human-machine verification must be completed through the image captcha. For details, see Get Image Captcha.

Request Description

Request Headers

Parameter NameNameRequiredTypeDescription
X-operating-sys-versionCaller operating system versionYesStringwindows10.1.1
X-device-fingerprintCaller device fingerprintYesString156aysdna213sc50
X-device-ipCaller IPNoString192.168.1.2
X-agentUser-Agent informationYesStringMozilla/5.0 (iPhone; CPU iPhone OS 13_3 like Mac OS X) AppleWebKit/605.1.15(KHTML, like Gecko) Mobile/15E148/HuaWei-AnyOffice/2.6.1802.0010/com.huawei.cloudlink.workplace
X-LUsed for internationalization language settingNoStringzh
X-client-idApplication authorization IDYesStringnTo1eRIub60vPb54WeE6aojPwYwImtl4

Request Example

json
{
    "email": "xczczx@bamboocloud.cn",
    "type": "REGISTER_EMS",
    "captcha_token":"71dd26999e314f9abb0c635336976635---{\"x\":237.0,\"y\":5.0}"
}

Request Parameters

Parameter NameNameRequiredTypeDescription
emailEmailYesStringEmail
typeSending scenarioYesStringScenario type
  • LOGIN_EMS: Email + verification code login API
  • REGISTER_EMS: Social account registration and binding mobile/email API, Email + verification code registration API
  • MFA_AUTH_EMS: Email + verification code secondary authentication API
  • FORGET_PWD_EMS: Retrieve password by email API
  • CHANGE_PWD_EMS: Force password update by email when expired API, Change password by email API
  • BIND_EMAIL_EMS: Bind mobile/email after social account login API
  • UPDATE_EMAIL_EMS: Update personal email API
  • captcha_tokenImage captcha credentialYesStringToken issued after image captcha verification passes.
    To obtain the captcha, see Get Image Captcha.

    Response Example

    Success Example

    HTTP/1.1 200 OK

    Error Example

    HTTP/1.1 400 Bad Request

    json
    {
        "error_code": "SDK.COMMON.1001",
        "error_msg": "Parameter X-client-id cannot be left blank."
    }

    Response Parameters

    None

    BambooCloud IDaaS Open Platform